<?php 

$shop = & singleton('shop');

######################################################
#### Обработка принятия заказа от платежной системы ###
######################################################

// Обработка уведомления об оплате от RUpay
if (isset($_POST['rupay_action']))
{
	// Получаем ID заказа
	$order_id = to_int($_POST['rupay_order_id']);

	$order_row = $shop->GetOrder($order_id);

	if ($order_row)
	{
		// Вызов обработчика платежной системы
		$shop->ExecSystemsOfPayHandler($order_row['shop_system_of_pay_id']);
	}
}

// Обработка уведомления об оплате от WebMoney
if (isset($_POST['LMI_PAYEE_PURSE']))
{
	// Получаем ID заказа
	$order_id = to_int($_POST['LMI_PAYMENT_NO']);

	$order_row = $shop->GetOrder($order_id);

	if ($order_row)
	{
		// Вызов обработчика платежной системы
		$shop->ExecSystemsOfPayHandler($order_row['shop_system_of_pay_id']);
	}
}

############################################################
#### [END] Обработка принятия заказа от платежной системы ###
############################################################

// Получаем информацию о текущем пользователе
if (class_exists('SiteUsers'))
{
	$SiteUsers = & singleton('SiteUsers');
	$site_user_id = $SiteUsers->GetCurrentSiteUser();
}
else
{
	$site_user_id = 0;
}

if ($site_user_id > 0)
{
	/* Если выбрана (существует) платежная система */
	if (to_int($_POST['system_of_pay_id']) != 0)
	{
		/* Вызываем обработчик платежной системы */
		if (!$shop->ExecSystemsOfPayHandler(to_int($_POST['system_of_pay_id'])))
		{
			/* Не удалось найти обработчик */
			show_error_message("Не найден обработчик платежной системы с номером ".to_int($_POST['system_of_pay_id']));
		}
	}
	else
	{
		/* Ошибка, не указана платежная система! */
		show_error_message('Ошибка! Не указана ни одна платежная система.');
	}

	$shop_id = end($GLOBALS['URL_ARRAY']);

	$xmlData='<?xml version="1.0" encoding="'.SITE_CODING.'"?>'."\n";
	$xmlData .= '<list>'."\n";

	$xmlData .= '<sum>'.to_float($_POST['sum']).'</sum>'."\n";

	$shop_row = $shop->GetShop($shop_id);

	if ($shop_row)
	{
		$xmlData .= $shop->GenXML4Currency($shop_row['shop_currency_id']);

		$xmlData .= $shop->GenXmlForSystemOfPays();
	}

	$xmlData .= '</list>'."\n";

	$xsl = new xsl();
	echo $xsl->build($xmlData, to_str($GLOBALS['LA']['xsl_system_of_pay']));

}
?>